class alternatives::params {

  case $::osfamily
  {
    'redhat':
    {
      $package_name='chkconfig'
      $alternatives_cmd='alternatives'
      $check_alternatives='echo | alternatives --config'
      case $::operatingsystemrelease
      {
        /^[5-8].*$/:
        {
        }
        default: { fail("Unsupported RHEL/CentOS version! - ${::operatingsystemrelease}")  }
      }
    }
    'Debian':
    {
      $package_name='dpkg'
      $alternatives_cmd='update-alternatives'
      $check_alternatives='update-alternatives --list'
      case $::operatingsystem
      {
        'Ubuntu':
        {
          case $::operatingsystemrelease
          {
            /^1[468].*$/:
            {
            }
            default: { fail("Unsupported Ubuntu version! - ${::operatingsystemrelease}")  }
          }
        }
        'Debian': { fail('Unsupported')  }
        default: { fail('Unsupported Debian flavour!')  }
      }
    }
    default: { fail('Unsupported OS!')  }
  }
}
